org.wildfly.swarm.jmx

## Class JMXFraction

- java.lang.Object
- - org.wildfly.swarm.config.JMX<JMXFraction>
  - - org.wildfly.swarm.jmx.JMXFraction

- All Implemented Interfaces:
    Fraction<JMXFraction>

      public class JMXFraction
      extends JMX<JMXFraction>
      implements Fraction<JMXFraction>

  Author:
    Bob McWhirter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JMX

      `JMX.JMXResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JMXFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.

    - ### Methods inherited from class org.wildfly.swarm.config.JMX

      `addPropertyChangeListener, auditLogConfiguration, auditLogConfiguration, auditLogConfiguration, auditLogConfiguration, expressionExposeModel, expressionExposeModel, expressionExposeModel, expressionExposeModel, getKey, jmxRemotingConnector, jmxRemotingConnector, jmxRemotingConnector, jmxRemotingConnector, nonCoreMbeanSensitivity, nonCoreMbeanSensitivity, removePropertyChangeListener, resolvedExposeModel, resolvedExposeModel, resolvedExposeModel, resolvedExposeModel, showModel, showModel, subresources`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### JMXFraction

          public JMXFraction()

  - ### Method Detail

    - #### applyDefaults

          public JMXFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<JMXFraction>`
      Returns:
        this fraction.

Copyright © 2017 JBoss by Red Hat. All rights reserved.